Get the aggregate status of a check
curl --request POST \
--url https://backstage.example.com/api/soundcheck/checks/{checkId}/status \
--header 'Content-Type: application/json' \
--data '{
"filter": {}
}'import requests
url = "https://backstage.example.com/api/soundcheck/checks/{checkId}/status"
payload = { "filter": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({filter: {}})
};
fetch('https://backstage.example.com/api/soundcheck/checks/{checkId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"passed": 123,
"failed": 123,
"warning": 123,
"exempt": 123,
"notApplicable": 123,
"error": 123,
"notReported": 123,
"id": "<string>",
"numberOfEntities": 123
}{
"error": {
"name": "<string>",
"message": "<string>"
},
"response": {
"statusCode": 123
},
"request": {
"method": "<string>",
"url": "<string>"
}
}Checks
Get the aggregate status of a check
Get the aggregate status of a check - an aggregation of the state of all of the results for all entities matching the filter.
POST
/
checks
/
{checkId}
/
status
Get the aggregate status of a check
Path Parameters
The ID of the check
Body
application/json
- object
- object[]
Show child attributes
Show child attributes
⌘I